Skip to main content

Trades

Description​

Subscribe to the latest trading data for this product, including the latest price, trading volume, trading direction, etc.

Pushing Frequency​

Real Time

Channel​

trades

Request Parameters​

ParameterRequiredTypeDescription
eventYesStringOperation: subscribe, unsubscribe
channelYesArraytrades
symbolsYesArraytrading pair array

Request Response​

ParameterTypeDescription
eventStringOperation: subscribe, unsubscribe
channelStringtrades
symbolsArraytrading pair array
messageStringError message

Push Data​

ParameterTypeDescription
channelStringtrades
dataArrayThe subscribed data
> idLongTrade ID
> tsLongPush time (millisecond)
> sStringA trading pair
> pxStringExecution price
> qtyStringTrading unit, the quantity of the base currency,or Cont for the number of contracts.
> amtStringTrading unit, the quantity of the quote currency.
> sideStringEnumerate: buy, sell
> cTLongTimestamp of execution time

Request Example​

{
"event": "subscribe",
"channel": ["trades"],
"symbols": ["BTC_USDT_PERP"]
}

Push Data Example​

{
"channel": "trades",
"data": [
{
"id": 291,
"ts": 1718871802553,
"s": "BTC_USDT_PERP",
"px": "46100",
"qty": "1",
"amt": "461",
"side": "buy",
"cT": 1718871802534
}
]
}